# List the replies to a comment on a content post

List the replies to a comment on a content post. Upon enabling expanded reactions types, the response will include the additional reaction types.
When a comment with user mentions is returned, it will be returned with those mentions in the format of either `{ref:user:} or {ref:user::id:}`. You can parse out the user_id and then look up the user and transform the mention metadata to the display_name/name of the referenced user.

Endpoint: GET /v2/feed/posts/{content_id}/comments/{comment_id}/replies
Version: 2026-04-10
Security: oauth2_as_a_user

## Path parameters:

  - `content_id` (integer, required)
    ID or UUID of the content post

  - `comment_id` (any, required)
    ID or UUID of the comment

## Query parameters:

  - `page.size` (integer)
    Return `page.size number of records starting at size*number`. The default page size is 10 (number of records per page), resulting in the first page being retrieved. The maximum page size is 100.

  - `page.number` (integer)
    Using classical pagination, the page number to return. Default is 1

## Response 200 fields (application/json):

  - `data` (array, required)

  - `data.id` (integer)
    The unique id of the comment record.
    Example: 456

  - `data.uuid` (string)
    The UUID of the comment record.
    Example: "8b358e6b-11d4-4e89-bf7f-ec670e3398ed"

  - `data.author` (object)

  - `data.author.avatar_url` (string)
    Path to an image representing the author.
    Example: "https://example.com/avatar.png"

  - `data.author.display_name` (string)
    The name to display as the author.
    Example: "Some User"

  - `data.author.user_id` (integer)
    The Firstup user_id of the author.
    Example: 123

  - `data.raw_body` (string)
    The body of the comment, as it was written by the user.
    Example: "Example comment text"

  - `data.body` (string)
    The body of the comment, in HTML format.
    Example: "<p>Example comment text</p>"

  - `data.liked` (boolean)
    Whether this comment was liked by the feed owner.
    Example: true

  - `data.like_count` (integer)
    How many users have liked this comment.
    Example: 5

  - `data.reply_count` (integer)
    The number of replies associated with this comment.
    Example: 5

  - `data.attachments` (array)
    An array of attachments associated with this comment.

  - `data.attachments.url` (string)
    URL of image attached to the comment.
    Example: "https://example.com/image.jpg"

  - `data.attachments.alt_text` (string)
    The alt text for the attachment
    Example: "Image Caption"

  - `data.created_at` (string)
    When this comment was created in ISO8601 format and UTC timezone.
    Example: "2000-01-01T00:00:00Z"

  - `data.updated_at` (string)
    When this comment was last updated in ISO8601 format and UTC timezone.
    Example: "2000-01-01T00:00:00Z"

  - `data.post_number` (integer)
    The identifier of the comment post.
    Example: 1

  - `meta` (object)

  - `meta.filters` (any)
    A list of the filters applied in the current request.

  - `meta.pagination` (object)

  - `meta.pagination.page` (any)
    The page returned. Defaults to 1.
    Example: 1

  - `meta.pagination.page_size` (any)
    The max number of records requested with pagination applied. Is not necessarily an exact count of the current records returned. Defaults to 10.
    Example: 10

  - `meta.pagination.total_records` (any)
    A count of all records if the request were not paginated. If filters are applied, total_records only counts records matching the filters.
    Example: 20

## Response 401 fields (*/*):

  - `errors` (array)

  - `errors.code` (integer)
    Example: 401

  - `errors.title` (string)
    Example: "Unauthenticated"

  - `errors.detail` (string)
    Example: "Access token was not provided or not recognized."

## Response 403 fields (*/*):

  - `errors` (array)

  - `errors.code` (integer)
    Example: 403

  - `errors.title` (string)
    Example: "Unauthorized"

  - `errors.detail` (string)


